Foreman - Bug #2701

Error when foreman-console is installed: cannot load such file -- minitest
06/24/2013 05:17 AM - Dominic Cleal

Status: Closed
Assignee: Dominic Cleal

Category: Packaging
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Pull request:

Description

Happens when loading any of the Rails app, dbmigrating etc while foreman-console's present.

[root@rhel6b foreman]# scl enable rubyl93 'rails c'
/opt/rh/rubyl93/root/usr/share/gems/gems/bundler_ext-0.3.0/1lib/bundler_ext/bundler_ext.rb:30:in "s

trict_error': Gem loading error: cannot load such file —-- minitest
from /opt/rh/rubyl93/root/usr/share/gems/gems/bundler_ext-0

:56:in “rescue in block in system_require'

from /opt/rh/rubyl93/root/usr/share/gems/gems/bundler_ext-0

:37:in “block in system_require'

from /opt/rh/rubyl93/root/usr/share/gems/gems/bundler_ext-0

:35:1in “each'’

from /opt/rh/rubyl93/root/usr/share/gems/gems/bundler_ext-0

:35:1in “system_require'

from
from
from
from

from

from
re'

from

from

/usr/share/foreman/config/application.rb:11:in " <top

(required)>"'

(RuntimeError)
.3.0/1ib/bundler_ext/bundler_ext.rb

.3.0/1ib/bundler_ext/bundler_ext.rb

.3.0/1ib/bundler_ext/bundler_ext.rb

.3.0/1lib/bundler_ext/bundler_ext.rb

/opt/rh/rubyl93/root/usr/share/rubygems/rubygems/custom_require.rb:36:in "require'
/opt/rh/rubyl93/root/usr/share/rubygems/rubygems/custom_require.rb:36:in "require'
/opt/rh/rubyl93/root/usr/share/gems/gems/railties—3.2.8/1lib/rails/commands.rb:39:in " <top
(required) >'

/opt/rh/rubyl93/root/usr/share/rubygems/rubygems/custom_require.rb:60:1in “require'

/opt/rh/rubyl93/root/usr/share/rubygems/rubygems/custom_require.rb:60:in "rescue in requi

/opt/rh/rubyl93/root/usr/share/rubygems/rubygems/custom_require.rb:35:in 'require'

script/rails:6:in "~ <main>'

Related issues:
Related to Foreman - Bug #2650: Rails console doesn't load: cannot load such ...

Closed

06/11/2013

Associated revisions

Revision c36baf86 - 06/25/2013 08:23 AM - Dominic Cleal

fixes #2701 - require correct minitest file

(cherry picked from commit f604723465b0effc63ee8d1b8b5622f01508ec16)

Revision fe6802d9 - 06/28/2013 11:50 AM - Dominic Cleal

fixes #2701 - require correct minitest file

(cherry picked from commit f604723465b0effc63ee8d1b8b5622f01508ec16)
(cherry picked from commit c36baf86ae47bc09a18021900d05c96d23d20a1c)

History

#1 - 06/24/2013 05:24 AM - Gaél Chamoulaud

Thx Dominic, It works for me now ! ;-)

With bundler.d/console.rb:
group :console do
gem 'wirb'
gem 'hirb-unicode'

gem 'awesome_print', :require => 'ap

# minitest - workaround until Rails 4.0 (#2650)

gem 'minitest', '~> 4.7', :require => 'minitest/unit'
end

#2 - 06/24/2013 05:32 AM - Dominic Cleal
- Status changed from Assigned to Ready For Testing

Thanks for testing!

https://github.com/theforeman/foreman/pull/740

#3 - 06/25/2013 09:17 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset c36baf86ae47bc09a18021900d05c96d23d20aic.
